POST
/
platformapi
/
chainup
/
open
/
staking
/
getApplyRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/staking/getApplyRecord

{
    "code": "0",
    "msg": "suc",
    "data": {
        "uid": 2000000,
        "inviteCode": "AAAAAA"
    }
}

状态说明
1 -> 收益中
2 -> 正常解锁
3 -> 提前解锁
5 -> 申请退出

返回值说明

            {
                "uid": 10002186,
                "amount": "10",
                "isAuth": 1,
                "pawnCoin": "BTC",
                "etime": "1608719975000",
                "ctime": "1616342400000",
                "earlyQuitRate": "0",
                "id": 284,
                "projectName": "余币宝-测试B2",
                "projectId": 144,
                "applyStatus": 2,
                "lockDay": 7
            }
NameTypeNecessaryExampleDescription
recordsListYesRefer to above列表数据
currentintYes1当前页
sizeintYes10当前分页数量
totalintYes6总数据量
pagesintYes1总页数
uidintYes10012312用户id
amountStringYes19质押金额
isAuthintYes1是否实名 (0/1)
pawnCoinStringYesBTC币种
etimeintYes1616342400000解锁时间
ctimeintYes1616342400000参与时间
earlyQuitRateintYes0违约金比例
idintYes286记录id
projectNameStringYesxxx项目名称
projectIdintYes2项目id
applyStatusintYes2状态(参考枚举)
lockDayintYes7质押周期

Query Parameters

appKey
string
required

商家唯一编号appKey

Example: xxx_xxx

sign
string
required

签名

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

page
number

当前页码

Example: 1

pageSize
number

分页大小

Example: 10

userId
string

用户ID

Example: 123123

Response

200 - application/json
code
string

返回code

Example: 0

msg
string

成功或失败提示信息

Example: Success

data
object